org.springframework.batch.integration.partition

## Class RemotePartitioningManagerStepBuilderFactory

- java.lang.Object
- - org.springframework.batch.integration.partition.RemotePartitioningManagerStepBuilderFactory

- All Implemented Interfaces:
    org.springframework.beans.factory.Aware, org.springframework.beans.factory.BeanFactoryAware

      public class RemotePartitioningManagerStepBuilderFactory
      extends java.lang.Object
      implements org.springframework.beans.factory.BeanFactoryAware

  Convenient factory for a `RemotePartitioningManagerStepBuilder` which sets the `JobRepository`, `JobExplorer`, `BeanFactory` and `PlatformTransactionManager` automatically.
  Since:
    4.2
  Author:
    Mahmoud Ben Hassine

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RemotePartitioningManagerStepBuilderFactory(JobRepository jobRepository, JobExplorer jobExplorer, org.springframework.transaction.PlatformTransactionManager transactionManager)` Create a new `RemotePartitioningManagerStepBuilderFactory`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RemotePartitioningManagerStepBuilder` | `get(java.lang.String name)` Creates a `RemotePartitioningManagerStepBuilder` and initializes its job repository, job explorer, bean factory and transaction manager.
    `void` | `setBeanFactory(org.springframework.beans.factory.BeanFactory beanFactory)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RemotePartitioningManagerStepBuilderFactory

          public RemotePartitioningManagerStepBuilderFactory(JobRepository jobRepository,
                                                             JobExplorer jobExplorer,
                                                             org.springframework.transaction.PlatformTransactionManager transactionManager)

      Create a new `RemotePartitioningManagerStepBuilderFactory`.
      Parameters:
        `jobRepository` - the job repository to use
        `jobExplorer` - the job explorer to use
        `transactionManager` - the transaction manager to use

  - ### Method Detail

    - #### setBeanFactory

          public void setBeanFactory(org.springframework.beans.factory.BeanFactory beanFactory)
                              throws org.springframework.beans.BeansException

      Specified by:
        `setBeanFactory` in interface `org.springframework.beans.factory.BeanFactoryAware`
      Throws:
        `org.springframework.beans.BeansException`

    - #### get

          public RemotePartitioningManagerStepBuilder get(java.lang.String name)

      Creates a `RemotePartitioningManagerStepBuilder` and initializes its job repository, job explorer, bean factory and transaction manager.
      Parameters:
        `name` - the name of the step
      Returns:
        a `RemotePartitioningManagerStepBuilder`